package com.bonus.canteen.core.marketing.v2.rule.price.handler.deductionfull.dto;

import java.math.BigDecimal;

public class PriceDeductionFullItemDTO {
   private BigDecimal doorAmount;
   private BigDecimal discount;

   public BigDecimal getDoorAmount() {
      return this.doorAmount;
   }

   public BigDecimal getDiscount() {
      return this.discount;
   }

   public void setDoorAmount(final BigDecimal doorAmount) {
      this.doorAmount = doorAmount;
   }

   public void setDiscount(final BigDecimal discount) {
      this.discount = discount;
   }

   public PriceDeductionFullItemDTO(final BigDecimal doorAmount, final BigDecimal discount) {
      this.doorAmount = doorAmount;
      this.discount = discount;
   }
}
